manager.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Kernel::MemoryChunk
| Memory chunk with size information. More...
class | Gecode::Kernel::HeapChunk
| Memory chunk allocated from heap with proper alignment. More...
class | Gecode::Kernel::SharedMemory
| Shared object for several memory areas. More...
class | Gecode::FreeList
| Base-class for freelist-managed objects. More...
class | Gecode::Kernel::MemoryManager
| Manage memory for space. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Kernel
| Kernel functionality